## clamav 0.99+dfsg

=== libclamav/c++/llvm/lib/Analysis/Makefile ===
##===- lib/Analysis/Makefile -------------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

LEVEL = ../..
LIBRARYNAME = LLVMAnalysis
DIRS = IPA
BUILD_ARCHIVE = 1

include $(LEVEL)/Makefile.common
