=== debian/changelog ===
clamav (0.99+dfsg-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Mon, 25 Jan 2016 15:37:38 -0800

clamav (0.99+dfsg-1) unstable; urgency=medium

  * Import final release of 0.99
  * suggest libclamunrar7 instead of libclamunrar6

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 05 Dec 2015 00:06:53 +0100

clamav (0.99~rc2+dfsg-2) experimental; urgency=medium

  * Drop LLVM usage on powerpc (it is broken since the v3.6 switch).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 01 Dec 2015 20:55:56 +0100

clamav (0.99~rc2+dfsg-1) experimental; urgency=medium

  [ Andreas Cadhalpun ]
  * Import first upstream release candidate for 0.99.
  * Drop patches included upstream:
     - Avoid-emitting-incremental-progress-messages.patch
     - bb-10731-Allow-to-specificy-a-group-for-the-socket.patch
     - clamav-milter-add-additinal-SMFIF_-flags.patch
     - remove-unnecessary-harmful-flags-from-libclamav.pc.patch
     - hardcode-LLVM-linker-flag.patch
  * Disable Large File Support because it is incompatible with fts.h, which
    is required by the new upstream release.
  * Drop patches needing LFS:
     - libclamav-use-libmspack.patch
     - fix-ssize_t-size_t-off_t-printf-modifier.patch
  * Disable valgrind in the test suite again. It is too flaky.
  * Print all new options in one build attempt.
  * Preserve new OnAccessMountPath, OnAccessDisableDDD and OnAccessPrevention
    options in clamd.conf.
  * Rename libclamav6 to libclamav7 and update symbols file.
  * Add -Wl,--as-needed to LDFLAGS to avoid useless dependencies.
  * Remove unused lintian overrides.
  * Update debian/copyright.

  [ Sebastian Andrzej Siewior ]
  * add a LFS safe fts() implementation from glibc
  * bring back libmspack related patches (libclamav-use-libmspack.patch +
    fix-ssize_t-size_t-off_t-printf-modifier.patch) and -D_FILE_OFFSET_BITS=64
  * fix a crash in clamdscan if file is passed via fd
  * Import second upstream release candidate for 0.99.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 21 Nov 2015 21:41:24 +0100

clamav (0.99~beta1+dfsg-1) experimental; urgency=medium

  *  use T=<timeout> so we can drop
     unit_tests-increment-test-timeout-from-40secs-to-5mi from the patch queue.
  * import new beta from upstream
  * depend on libpcre3-dev, required for YARA support
  * add new PCRE related options postist script for clamd
  * record new symbols in libclamav6.symbols
  * enable valgrind in the test suite and see how well it works across all
    architecures.
  * Update debian/copyright.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 22 Jul 2015 21:52:48 +0200

clamav (0.98.7+dfsg-5) unstable; urgency=medium

  [ Andreas Cadhalpun ]
  * Drop patch numbers, because they cause too much diff noise.
  * Fix use-pkg-config-to-determine-CHECK_LIBS.patch so that the tests
    actually get run again.

  [ Sebastian Andrzej Siewior ]
  * Drop LLVM usage on powerpc (it is broken since the v3.6 switch).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 01 Dec 2015 20:58:20 +0100

clamav (0.98.7+dfsg-4) unstable; urgency=medium

  * Add patch to support LLVM 3.6.
  * debian/clamav-milter.postinst.in: Update to reflect the change from
    examples/clamav-milter.conf to examples/clamav-milter.conf.sample.
    Thanks to Christian Schrötter. (Closes: #795190)
  * Use 'grep -a' instead of grep in maintainer scripts. (Closes: #799808)
  * Restore the SE Linux context when creating /var/lib/ucf/cache.
    Thanks to Russell Coker for the patch. (Closes: #802311)
  * Adapt debian/watch to new download location www.clamav.net/download.html.
  * Add patch to use pkg-config to determine CHECK_LIBS.
    The linker flags for check changed making the hardcoded flags useless.

 -- Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>  Sun, 25 Oct 2015 19:35:51 +0100

clamav (0.98.7+dfsg-3) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * use T=<timeout> so we can drop
    unit_tests-increment-test-timeout-from-40secs-to-5mi from the patch queue.
  * add 0013-tfm-fix-compile-errors.patch and
    0014-tfm-duct-tape-misscompile-on-armhf.patch to get it built on armhf
    with gcc-5.

  [ Andreas Cadhalpun ]
  * Prevent the logrotate scripts from aborting if reloading/restarting fails.
    Thanks to John Zaitseff. (Closes: #788652)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 14 Aug 2015 08:55:16 +0200

clamav (0.98.7+dfsg-2) unstable; urgency=medium

  [ Andreas Cadhalpun ]
  * Increase MaxRecursion to the upstream default of 16. (Closes: #787249)
  * Bump the version for the PidFile removal check in the clamav-daemon and
    clamav-freshclam postinst scripts (Closes: #767353)
  * Add database existence check also to clamav-daemon.socket.
    This works around systemd bug #775458. (Closes: #775112)

  [ Sebastian Andrzej Siewior ]
  * also remove debian/clamav-freshclam.prerm clean

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 13 Jun 2015 15:11:41 +0200

clamav (0.98.7+dfsg-1) unstable; urgency=high

  [ Andreas Cadhalpun ]
  * Use SocketUser, SocketGroup and RemoveOnStop systemd socket options
    instead of using ExecStartPost and ExecStopPost for that.
  * Respect clamav-daemon's LocalSocket* options with the systemd unit by
    extending the clamav-daemon.socket file appropriately, when running
    dpkg-reconfigure clamav-daemon. (Closes: #783720)
  * Disable this extendend configuration, when handling the configuration
    file with debconf is disabled.
  * Disable clamav-daemon.socket in prerm script.

  [ Sebastian Andrzej Siewior ]
  * Import new upstream:
    - Improvements to PDF processing: decryption, escape sequence
      handling, and file property collection.
    - Scanning/analysis of additional Microsoft Office 2003 XML format.
    - Fix infinite loop condition on crafted y0da cryptor file. Identified

