## clamav 0.99.2%2baddedllvm

=== debian/changelog ===
clamav (0.99.2+addedllvm-0ubuntu0.14.04.2) trusty-security; urgency=medium

  * SECURITY UPDATE: DoS via crafted e-mail message
    - debian/patches/CVE-2017-6418.patch: fix invalid read in
      libclamav/message.c.
    - CVE-2017-6418
  * SECURITY UPDATE: DoS and possible code execution via crafted CHM file
    - debian/patches/CVE-2017-6419.patch: fix OOB write in
      libclamav/mspack.c.
    - CVE-2017-6419
  * SECURITY UPDATE: DoS via WWPack compression
    - debian/patches/CVE-2017-6420.patch: add bounds checks to
      libclamav/wwunpack.c.
    - debian/patches/CVE-2017-6420-2.patch: fix unit tests in
      libclamav/wwunpack.c, unit_tests/check_jsnorm.c.
    - CVE-2017-6420

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Aug 2017 13:13:56 -0400

clamav (0.99.2+addedllvm-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to 0.99.2 to fix multiple security issues
    - CVE-2016-1371
    - CVE-2016-1372
    - CVE-2016-1405
  * Removed patches no longer required
    - 0003-unit_tests-increment-test-timeout-from-40secs-to-5mi.patch
    - 0006-remove-unnecessary-harmful-flags-from-libclamav.pc.patch
    - 0010-hardcode-LLVM-linker-flag-because-llvm-config-return.patch
    - 0018-llvm-don-t-use-system-libs.patch
  * debian/clamav-base.postinst.in: updated to handle new options
    - OnAccessMountPath
    - OnAccessDisableDDD
    - OnAccessPrevention
    - OnAccessExtraScanning
    - PCREMatchLimit
    - PCRERecMatchLimit
    - PCREMaxFileSize
    - ScanXMLDOCS
    - ScanHWP3
    - MaxRecHWP3
  * debian/*: rename libclamav6 to libclamav7.
  * debian/control: add libpcre3-dev to Build-Depends as new signatures
    rely on PCRE support.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 Sep 2016 14:34:14 -0400

clamav (0.98.7+dfsg-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to 0.98.7 to fix multiple issues
    - CVE-2015-2170
    - CVE-2015-2221
    - CVE-2015-2222
    - CVE-2015-2305
    - CVE-2015-2668
  * Refreshed patches for 0.98.7:
    - d/p/0010-hardcode-LLVM-linker-flag-because-llvm-config-return.patch
    - d/p/0018-llvm-don-t-use-system-libs.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 May 2015 15:47:25 -0400

clamav (0.98.6+dfsg-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to 0.98.6 to fix security issues, including CVE-2014-9328.
  * Removed upstreamed patches:
    - d/p/0002-Add-an-additional-n-after-the-number-in-the-pidfile.patch
    - d/p/0017-Bump-.so-version-number.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 30 Jan 2015 08:53:43 -0500

clamav (0.98.5+addedllvm-0ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to 0.98.5 to fix security issues, including CVE-2013-6497.
  * Removed patches no longer needed:
    - d/p/0002-Sebastian-Andrzej-Siewior.patch
    - d/p/0003-configure-use-pkg-config-for-check-so-test-is-detect.patch
    - d/p/0004-Stop-using-a-cargo-culted-syscall-table-and-trust-th.patch
    - d/p/0005-configure.ac-patches-to-got-with-autoreconf-and-auto.patch
    - d/p/0006-Fix-STAT64-definition-and-add-missing-includes.patch
  * Added patches from vivid to fix FTBFS, .so version and other issues:
    - d/p/0002-Add-an-additional-n-after-the-number-in-the-pidfile.patch
    - d/p/0003-unit_tests-increment-test-timeout-from-40secs-to-5mi.patch
    - d/p/0006-remove-unnecessary-harmful-flags-from-libclamav.pc.patch
    - d/p/0010-hardcode-LLVM-linker-flag-because-llvm-config-return.patch
    - d/p/0017-Bump-.so-version-number.patch
    - d/p/0018-llvm-don-t-use-system-libs.patch
  * debian/clamav-docs.docs: use wildcards, as some docs have changed.
  * debian/clamav-base.postinst.in: added new options.
  * debian/clamav-base.config.in: added new options.
  * debian/clamav-base.templates: added new options.
  * debian/control: added libssl-dev BuildDepends.
  * clamav-testfiles.install: removed rar files.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 20 Nov 2014 14:29:18 -0500

clamav (0.98.1+dfsg-4ubuntu1.1) trusty-proposed; urgency=medium

  [ Tyler Hicks ]
  * debian/usr.bin.freshclam: Grant freshclam permission to read and write the
    clamd socket. AppArmor requires both permissions when applications connect
    to path-based UNIX domain sockets. (LP: #1313282)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 28 Apr 2014 17:29:57 -0400
